### Method

# Gtk TextBuffer get_iter_at_line_index

#### Declaration [src]

    gboolean
    gtk_text_buffer_get_iter_at_line_index (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      int line_number,
      int byte_index
    )

#### Description [src]

Obtains an iterator pointing to `byte_index` within the given line.

`byte_index` must be the start of a UTF-8 character. Note bytes, not characters; UTF-8 may encode one character as multiple bytes.

If `line_number` is greater than or equal to the number of lines in the `buffer`, the end iterator is returned. And if `byte_index` is off the end of the line, the iterator at the end of the line is returned.

#### Parameters

`iter`

  Type: `GtkTextIter`

  Iterator to initialize.

  The argument will be set by the function.
  The data is owned by the instance.

`line_number`

  Type: `int`

  Line number counting from 0

`byte_index`

  Type: `int`

  Byte index from start of line.

#### Return value

Type: `gboolean`

Whether the exact position has been found.